function [k]=auto(X,pct)

%auto:  Bayesian Variable Selection
%       Lower pct-tile of non-zeros eigenvalues   
%***********************************************************************
%INPUTS:
% X,		data
% pct,		percentage
%
%OUTPUTS:
% k, 		lower pct-tile of non-zero eigenvalues of X
%
%USAGE:
% [k]=auto(X,pct)
%
%Copyright (c) 1997-2003 Marina Vannucci.
%**********************************************************************


valori=eig(X'*X);
nzeroind=find(valori >= 10^(-8));

nzeroval=valori(nzeroind);

k=prctile(nzeroval,pct);
